#include <p16f877a.inc>
__config 3f39
			org		0x000
Start		goto	main
			org		0x004
			goto	isr
main		call	sys_init
			call	led

led			movf	TMR0,W
			movwf	PORTC
			goto	led

isr			btfss	INTCON,TMR0IF	;Clear TMR0 Overflow Interrupt Flag bit
			retfie
			bcf		INTCON,TMR0IF	;Clear TMR0 Overflow Interrupt Flag bit
			clrf	PORTC
			rlf		PORTD,F
			retfie

sys_init	clrf	PORTC
			clrf	PORTD
			banksel	TRISC
			clrf	TRISC
			clrf	TRISD
			movlw	b'00100010'
			movwf	OPTION_REG
			banksel	PORTC
			movf	TMR0,w
			clrf	TMR0
			bsf		PORTD,0
			bcf		INTCON,TMR0IF	;Clear TMR0 Overflow Interrupt Flag bit
			bsf		INTCON,TMR0IE	;Enables the TMR0 interrupt
			bsf		INTCON,GIE		;Global Interrupt Enable bit
			return


end